# mapRoute

## Description

Display the route on the map from the start position to the end position.

## Input / Parameter

| Name        | Description                                       | Data Type   | Default | Options                              | Required                           |
| ----------- | ------------------------------------------------- | ----------- | ------- | ------------------------------------ | ---------------------------------- |
| component   | The name of the map component.                    | String/Text | -       | -                                    | Partial (Yes if no 'componentId'.) |
| componentId | The id of the map component.                      | String/Text | -       | -                                    | Partial (Yes if no 'component'.)   |
| mode        | The route mode to show.                           | String/Text | Driving | Driving, Walking, Bicycling, Transit | Yes                                |
| startLatLng | The latitude and longitude of the start position. | String/Text | -       | -                                    | Yes                                |
| endLatLng   | The latitude and longitude of the end position.   | String/Text | -       | -                                    | Yes                                |
| waypoints   | The waypoints on the route.                       | Object      | -       | -                                    | No                                 |

## Output

N/A

Note: The map component will show the route for the mode selected from the start position to the end position.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/google/maproute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
